Differences between revisions 28 and 29
Revision 28 as of 2017-12-26 15:17:40
Size: 5281
Editor: BorisPek
Comment:
Revision 29 as of 2017-12-30 06:25:31
Size: 5767
Editor: HubertChathi
Comment:
Deletions are marked like this. Additions are marked like this.
Line 15: Line 15:
   * depends on a lot of node packages that are not yet in Debian, including [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805376|React]]    * depends on a lot of JavaScript packages that are not yet in Debian, including [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805376|React]]
Line 17: Line 17:
   * build-depends on npm > 2, which is not in Debian    * build-depends on npm > 2, which is not in Debian (but maybe we can work around it)
Line 19: Line 19:
 * [[https://github.com/QMatrixClient/Quaternion|quaternion]]: [[https://bugs.debian.org/864375|ITP]]/[[https://anonscm.debian.org/git/collab-maint/quaternion.git/|Git]], currently in NEW
 * [[https://github.com/mujx/nheko|nheko]]: [[https://bugs.debian.org/864374|ITP]]/[[https://anonscm.debian.org/cgit/collab-maint/nheko.git/|Git]], currently in NEW
 * [[https://github.com/torhve/weechat-matrix-protocol-script|weechat plugin]]: no package nor ITP yet. Has [[https://github.com/torhve/weechat-matrix-protocol-script/issues/50|known performance issues]].
 * [[https://github.com/QMatrixClient/Quaternion|quaternion]]: [[https://bugs.debian.org/864375|ITP]]/[[https://salsa.debian.org/matrix-team/quaternion|Git]], currently in NEW
 * [[https://github.com/mujx/nheko|nheko]]: [[https://packages.debian.org/nheko|in Debian]]/[[https://salsa.debian.org/matrix-team/nheko|Git]]
   * latest version needs an updated version of [[https://packages.debian.org/src:nlohmann-json]] ([[https://bugs.debian.org/885540|#885540]])
 * [[https://github.com/aperezdc/revolt|revolt]]: [[https://packages.debian.org/revolt|in Debian]]/[[https://salsa.debian.org/matrix-team/revolt|Git]]
 * [[https://gitlab.gnome.org/danigm/fractal|fractal]]: no package nor ITP yet
   * requires rustc 1.22?, which is not yet in sid
 * [[https://github.com/fest-im/fest|fest]]: no package nor ITP yet
   * requires rust nightly, so probably can't be packaged yet
 * [[https://github.com/torhve/weechat-matrix-protocol-script|weechat plugin]]: no package nor ITP yet
   * has [[https://github.com/torhve/weechat-matrix-protocol-script/issues/50|known performance issues]].
Line 26: Line 33:
 * [[https://github.com/matrix-org/synapse|synapse]]: [[https://packages.debian.org/matrix-synapse|in Debian sid]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse.git/|Git]]
   * [[https://github.com/matrix-org/matrix-synapse-ldap3|matrix-synapse-ldap3]]: [[https://packages.debian.org/matrix-synapse-ldap3|in Debian sid]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse-ldap3.git/|Git]]
 * [[https://github.com/matrix-org/synapse|synapse]]: [[https://packages.debian.org/matrix-synapse|in Debian]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse.git/|Git]]
   * [[https://github.com/matrix-org/matrix-synapse-ldap3|matrix-synapse-ldap3]]: [[https://packages.debian.org/matrix-synapse-ldap3|in Debian]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse-ldap3.git/|Git]]
Line 29: Line 36:
   * currently depends on [[https://kafka.apache.org/|kafka]], which is not in Debian [[https://bugs.debian.org/786460|RFP]]    * can use [[https://kafka.apache.org/|kafka]], which is not in Debian [[https://bugs.debian.org/786460|RFP]]
Line 39: Line 46:
   * browser version depends on [[https://github.com/iriscouch/browser-request|browser-request]], which is not in Debian
   * new upstream version depends on bluebird, which is in NEW
   * depends on babel-plugin-transform-async-to-bluebird, which will be uploaded once bluebird is ACCEPTED in sid
   * browser version depends on [[https://github.com/iriscouch/browser-request|browser-request]], which is not in Debian ([[https://bugs.debian.org/885154|ITP]])
   * depends on babel-plugin-transform-async-to-bluebird, which is in NEW

Matrix

This page lists Matrix-related software, and their status in Debian. Please feel free to package any of the software listed on this page that hasn't already been packaged or ITPed!

Packaging

Packaging team uses Salsa with a mailing list. Few old git repos might be found at Alioth.

Discussion about Matrix packaging takes place in #debian-matrix:matrix.org (logs).

Clients

Servers

  • synapse: in Debian/Git

  • dendrite: no package nor ITP yet (probably not stable enough to be uploaded, but initial packaging investigation could be done)

    • can use kafka, which is not in Debian RFP

  • ruma: no package nor ITP yet (probably not stable enough to be uploaded, but initial packaging investigation could be done)

  • mxisd: (identity server) no package nor ITP yet

Libraries/SDKs

  • olm: in Debian

    • ?JavaScript version cannot be built due to unusable emscripten

  • matrix-js-sdk: no package nor ITP yet

    • depends on another-json, which is not in Debian, but should be easy to package. But only needed by crypto code, so not needed until olm ?JavaScript is available

    • browser version depends on browser-request, which is not in Debian (ITP)

    • depends on babel-plugin-transform-async-to-bluebird, which is in NEW
  • matrix-python-sdk: no package nor ITP yet

  • gomatrix: no package nor ITP yet

  • matrix-appservice: no package nor ITP yet

    • depends on morgan, which is not in Debian yet

  • matrix-appservice-bridge: (?JavaScript) no package nor ITP yet

    • depends on jayschema and nedb, which are not in Debian yet

    • also depends on matrix-appservice, above
  • matrix-puppet-bridge: (?JavaScript) no package nor ITP yet

    • depends on several packages that are not yet in Debian

Bridges/Bots/etc